std::_BinBase(3)

NAME
std::_BinBase -

SYNOPSIS

Inherited by _BinClos< _Oper, _Expr, _ValArray, _Dom, typename _Dom::value_type >, _BinClos< _Oper, _ValArray, _Expr, typename _Dom::value_type, _Dom >, and _BinClos< _Oper, _ValArray, _ValArray, _Tp, _Tp >.

Detailed Description

  template<class _Oper, class _FirstArg, class _SecondArg> class std::_BinBase< _Oper, _FirstArg, _SecondArg >

Definition at line 517 of file valarray_before.h.

  Public Types
typedef _FirstArg::value_type _Vt
typedef __fun< _Oper, _Vt >::result_type value_type

  Public Member Functions
_BinBase (const _FirstArg &__e1, const _SecondArg &__e2)
value_type operator[] (size_t __i) const
size_t size () const

Author

Generated automatically by Doxygen for libstdc++ from the source code.